@import "../../../styles/variables.scss";
@import "../../../styles/mixins.scss";

.footer {
  background-color: white;
  height: 100%;
  margin: 0 auto;
  padding: 2rem;
  &-content {
    max-width: 1060px;
    @include from($s-medium) {
      display: flex;
      justify-content: center;
      align-items: center;
      margin: 0 auto;
      height: 100%;
    }
    &__title {
      text-align: center;
      margin-bottom: 1rem;
      font-size: 22px;
      font-weight: 300;
    }
    &__list {
      width: 100%;
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      gap: 1rem;
      justify-items: center;
      align-items: center;
      @include from($small) {
        grid-template-columns: repeat(4, 1fr);
        justify-items: end;
      }
    }
    &__img {
      width: 70px;
      height: 70px;
      background-color: gainsboro;
      border-radius: 0.5rem;
      padding: 0.5rem;
      &:hover {
        background-color: darkgray;
        transition: transform 0.2s;
        transform: scale(1.1);
      }
      @include from($medium) {
        width: 100px;
        height: 100px;
      }
    }
  }
}
